#version 330
layout(location = 0) in vec3 vertexPosition_modelspace;
layout(location = 1) in vec3 vertexNormals;
layout(location = 2) in vec2 uvs;
layout(location = 3) in vec2 vertexPosition_screenspace;

//uniform mat4 mvp;
uniform mat4 view;
uniform mat4 projection;
uniform mat4 model;
uniform vec3 lightPosition;
uniform vec3 cameraPosition;

out vec3 PosL;
                                                                                    
void main()                                                                         
{                                                                                   
    PosL = (model * vec4(vertexPosition_modelspace, 1.0)).xyz;
}
